monolog:
    handlers:
        main:
            type: rotating_file
            max_files: 30
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: debug
            channels: ["!event"]
        # + un fichier pour chaque type qui nous intéresse spécifiquement
        php:
            type: rotating_file
            max_files: 30
            path: "%kernel.logs_dir%/php.log"
            level: debug
            channels: ["php"]
        app:
            type: rotating_file
            max_files: 30
            path: "%kernel.logs_dir%/custom.log"
            level: debug
            channels: ["app"]
        security:
            type: rotating_file
            max_files: 30
            path: "%kernel.logs_dir%/security.log"
            level: debug
            channels: ["security"]
        doctrine:
            type: rotating_file
            max_files: 30
            path: "%kernel.logs_dir%/doctrine.log"
            level: debug
            channels: ["doctrine"]

        # + un fichier pour les hauts niveaux d'erreur (error / critical / alert / emergency)
        main_error:
            type:           fingers_crossed
            action_level:   error
            handler:        streamed_error
        streamed_error:
            type:           rotating_file
            max_files:      15
            path:           "%kernel.logs_dir%/error.log"
            level:          error
        # uncomment to get logging in your browser
        # you may have to allow bigger header sizes in your Web server configuration
        #firephp:
        #    type: firephp
        #    level: info
        #chromephp:
        #    type: chromephp
        #    level: info
        console:
            type: console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine", "!console"]
